"""Add relationship between Person and Unit

Revision ID: d80c269c0624
Revises: edd0b4493c59
Create Date: 2018-10-23 11:36:32.211522

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'd80c269c0624'
down_revision = 'edd0b4493c59'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('people', sa.Column('unit_id', sa.Integer(), nullable=True))
    op.create_foreign_key(None, 'people', 'units', ['unit_id'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'people', type_='foreignkey')
    op.drop_column('people', 'unit_id')
    # ### end Alembic commands ###
